%define	upstream_name	 Catalyst-Engine-Apache
%define upstream_version 1.16

%define _requires_exceptions perl(A

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 1

Summary:	Catalyst Apache Engines
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(Catalyst)
BuildArch: noarch

Requires:  apache-mod_perl

%description
This package contains mod_perl handlers for Catalyst.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Catalyst
%{_mandir}/man3/*

%changelog
* Wed Jan 26 2011 jquelin <jquelin> 1.160.0-1.mga1
+ Revision: 40252
- mageia rebuild
- imported package perl-Catalyst-Engine-Apache

